## net.dontdrinkandroot.wicket.javascript.jqueryui
Class JQueryUiScript

    java.lang.Object
      net.dontdrinkandroot.wicket.javascript.JQueryScript
          net.dontdrinkandroot.wicket.javascript.jqueryui.JQueryUiScript

    public class JQueryUiScript

extends net.dontdrinkandroot.wicket.javascript.JQueryScript

Field Summary
`static java.lang.String` `BUTTON_TEMPLATE`
`static java.lang.String` `BUTTONSET_TEMPLATE`
`static java.lang.Integer` `DEFAULT_ANIMATION_DURATION`
`static java.lang.String` `DEFAULT_EASING_FUNCTION`
`static java.lang.String` `PROGRESSBAR_TEMPLATE`
`static java.lang.String` `PROGRESSBAR_VALUE_TEMPLATE`
`static java.lang.String` `SELECTMENU_TEMPLATE`
`static java.lang.String` `SLIDER_TEMPLATE`

Fields inherited from class net.dontdrinkandroot.wicket.javascript.JQueryScript
`ANIMATE_TEMPLATE, CHILDREN_TEMPLATE, CLICK_TEMPLATE, FADEIN_TEMPLATE, FADEOUT_TEMPLATE, FADETOGGLE_TEMPLATE, HIDE_TEMPLATE, HOVER_INTENT_TEMPLATE, KEYPRESS_TEMPLATE, scriptBuffer, SHOW_TEMPLATE, SLIDEDOWN_TEMPLATE, SLIDETOGGLE_TEMPLATE, SLIDEUP_TEMPLATE, TOGGLE_TEMPLATE`

Constructor Summary
`JQueryUiScript()`
`JQueryUiScript(org.apache.wicket.Component component)`
`JQueryUiScript(java.lang.String selector)`

Method Summary
`JQueryUiScript` `button()`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `buttonset()`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `progressBar()`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `progressBar(java.lang.Integer value)`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `selectMenu()`

Methods inherited from class net.dontdrinkandroot.wicket.javascript.JQueryScript
`addClass, animate, append, children, click, fadeIn, fadeIn, fadeIn, fadeOut, fadeOut, fadeToggle, fadeToggle, hide, hide, hoverIntent, removeClass, show, show, siblings, slideDown, slideDown, slideToggle, slideToggle, slideUp, slideUp, toggle, toggle, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ANIMATION_DURATION

    public static java.lang.Integer DEFAULT_ANIMATION_DURATION

### DEFAULT_EASING_FUNCTION

    public static java.lang.String DEFAULT_EASING_FUNCTION

### BUTTON_TEMPLATE

    public static java.lang.String BUTTON_TEMPLATE

### BUTTONSET_TEMPLATE

    public static java.lang.String BUTTONSET_TEMPLATE

### SLIDER_TEMPLATE

    public static java.lang.String SLIDER_TEMPLATE

### SELECTMENU_TEMPLATE

    public static java.lang.String SELECTMENU_TEMPLATE

### PROGRESSBAR_VALUE_TEMPLATE

    public static java.lang.String PROGRESSBAR_VALUE_TEMPLATE

### PROGRESSBAR_TEMPLATE

    public static java.lang.String PROGRESSBAR_TEMPLATE

Constructor Detail

### JQueryUiScript

    public JQueryUiScript()

### JQueryUiScript

    public JQueryUiScript(org.apache.wicket.Component component)

### JQueryUiScript

    public JQueryUiScript(java.lang.String selector)

Method Detail

### button

    public JQueryUiScript button()

### selectMenu

    public net.dontdrinkandroot.wicket.javascript.JQueryScript selectMenu()

### progressBar

    public net.dontdrinkandroot.wicket.javascript.JQueryScript progressBar(java.lang.Integer value)

### progressBar

    public net.dontdrinkandroot.wicket.javascript.JQueryScript progressBar()

### buttonset

    public net.dontdrinkandroot.wicket.javascript.JQueryScript buttonset()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.